@import url("https://fonts.googleapis.com/css2?family=Cormorant+Garamond:ital,wght@0,300..700;1,300..700&display=swap");

body {
  background-color: #946142;
  font-size: 1.5em;
  font-family: Garamond, serif;
  position: relative;
  margin: unset;
  font-family: "Cormorant Garamond", serif;
  font-optical-sizing: auto;
  font-style: normal;
}

h1,
h2,
h3 {
  font-weight: 300;
}

aside {
  position: fixed;
  top: 0;
  left: 0;
  height: 100vh;
  width: 25%;
}

aside:nth-of-type(2) {
  left: unset;
  right: 0;
  padding-top: 30vh;
  padding-left: 60px;
  width: 25%;
}

.section-content {
  min-height: 30vh;

  padding: 0 20px;
  position: relative;
  width: 50%;
  margin-top: 15px;
  margin: 0 20px;
}

aside .section-content {
  width: unset;
}

/*
video {
  left: 0;
  top: 0;
  height: auto;
  width: 99vw;
  z-index: -1;
  position: absolute;
}
*/

#title_section h1 {
  position: absolute;
  top: 65%;
  color: white;
  text-shadow:
    -1px -1px 0 #000,
    1px -1px 0 #000,
    -1px 1px 0 #000,
    1px 1px 0 #000;
}

.content {
  width: 100%;
}

td img {
  width: 40px;
}

aside tr td:first-of-type {
  font-size: 1.4em;
}

header,
footer {
  background-color: #3d1700;
  color: white;
}

header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 10;
  display: block;
}

#top-menu {
  position: sticky;
  margin: 20px 0;
  flex-wrap: wrap;
}

#top-menu,
footer {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  gap: 10px;
  padding: 0 20px;
}

#footer {
  width: 100vw;
}

#top-menu a,
footer a {
  font-weight: thin;
  color: white;
}

section {
  width: 100%;
  display: flex;
  justify-content: center;
}

#title_section {
  height: 85vh;
  position: relative;
}

#titlebackground {
  background-image: url("assets/kakao_30.jpg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;

  transform: translateY(calc(50% - 85em)); /* start off-screen to the left */
  transition: transform 0.5s ease;
}

#titlebackground.centered {
  transform: translateY(0); /* perfectly centered */
}

#asha {
  width: 20em;
  height: auto;
  display: block;
  position: absolute;
  bottom: 0;

  left: 50%;
  transform: translateX(calc(-50% - 30em)); /* start off-screen to the left */
  transition: transform 0.5s ease;
}

#asha.centered {
  transform: translateX(-50%); /* perfectly centered */
}

#experience-kk,
#education {
  background-color: #faeee7;
}

#experience-kk img {
  float: left;
  max-width: 45%;
}

#skills {
  background-color: #5f2b0a;
  color: white;
}

#about {
  color: white;
}

/*
#skills .section-content,
#about .section-content,
#experience-kk .section-content {
  border-radius: unset;
  border: unset;
  box-shadow: unset;
  background-color: unset;
  padding: unset;
}
  */

#content {
  position: relative;
}

#skillset {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.skill_element {
  border-radius: 30px;
  border: 3px solid #000;
  box-shadow: 5px 5px 0 #000;
  margin-left: 20px;
  margin-top: 10px;
  padding: 5px 5px;
  background-color: #946142;
  color: black;
  display: flex;
}

.skill_element img {
  width: 2em;
}

p {
  line-height: 1.5em;
  text-align: justify;
}

.certificate-frame {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
}

.certificate {
  background-color: white;
  max-width: 30%;
  padding: 10px;
  box-shadow: 3px 5px 8px #00000070;
}

.certificate p {
  text-align: start;
}

.certificate img {
  width: 50%;
}

#certification h1 {
  color: white;
}

#skillset {
  margin-bottom: 15px;
}

#media table,
#media tr {
  width: 100%;
}

#media-radio-frame {
  background-image: url("assets/radio-video.gif");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  padding: 0;
  padding-top: 10em;
  overflow: hidden;
}

#media-radio-frame p {
  padding-right: 1.5em;
}

.txt-bkg {
  background-color: #3012009f;
  width: 100%;
  color: white;
  padding: 0 20px;
}

.video-frame {
  border-radius: 30px;
  overflow: hidden;
  margin: 15px 20px;
  height: 15em;
  width: 15em;
  float: right;
}

.default-frame {
  border-radius: 30px;
  border: 3px solid #000;
  box-shadow: 10px 10px 0 #3d1700;
  background-color: #e9d9cf;
  padding: 0 20px;
  margin: 40px 20px;
  position: relative;
}

#education img {
  float: right;
  height: 20em;
}

#motivation {
  background-image: url("assets/passion_bg_65.jpg");
  background-size: cover;
  background-position: bottom;
  background-repeat: no-repeat;
  color: white;
}

/*
#contact .default-frame {
  background-image: url("assets/chocolate-bar.png");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  color: white;
}
  */

@media screen and (max-width: 1200px) {
  aside {
    display: none;
  }

  .section-content {
    width: 100%;
  }
}

@media (max-width: 480px) {
  header {
    position: absolute;
    height: 2em;
  }

  #asha {
    width: 85%;
  }

  #experience-kk img {
    max-width: unset;
    width: 100%;
  }

  .default-frame {
    margin: unset;
  }

  #media-radio .section-content,
  #contact .section-content {
    padding: 0;
    padding-right: 10px;
  }

  .section-content {
    margin: unset;
    margin-bottom: 20px;
  }

  .certificate-frame {
    gap: 10px;
  }

  .certificate {
    max-width: unset;
    max-width: 50%;
  }

  #top-menu {
    flex-direction: column;
    align-items: flex-start;
    position: fixed;
    top: 0;
    left: 0;
    background-color: #3d1700;
    margin: unset;
    padding-top: 1em;
    height: 120vh;
    display: none;
    justify-content: unset;
    gap: 1em;
  }

  #menu-btn {
    height: 100%;
    background-color: #3d1700;
    border: none;
  }

  #menu-btn img {
    height: 100%;
  }
}
